/*
 * SM630.h
 *
 *  Created on: Sep 11, 2014
 *      Author: Zeus @ Sisoog.com
 */

#ifndef SM630_H_
#define SM630_H_


typedef enum
{
	add_fingerprint = 0x40,
	delet_fingerprint = 0x42,
	search_fingerprint = 0x44,
	empty_fingerprint = 0x46,
	search_info_in_db = 0x4B,
	Download_finger_template = 0x50,
	upload_finger_template = 0x52,
	read_id_number = 0x60,
	read_user_flash = 0x62,
	write_user_flash = 0x64,
	read_product_logo = 0x80
}SM_Command;

#define Req_TimeOut				1
#define Not_Found_Match_ID		2
#define finger_print_is_poor	3


uint8_t finger_Get_pack(uint8_t *buffer,uint8_t Max_Len,uint32_t TimeOut);
uint8_t finger_send_Command(SM_Command cmd,uint8_t *Data,uint8_t Data_len);

uint8_t finger_add(uint16_t ID);
uint8_t finger_delete(uint16_t ID);
uint8_t finger_search(uint16_t Start_ID,uint16_t NumID,uint16_t *MatchID);

uint8_t finger_Read_info(uint8_t *Buffer);
uint8_t finger_Read_IDnum(uint8_t *Buffer);
uint8_t finger_Write_flash(uint16_t Adders,uint8_t *Data,uint8_t data_Len);
uint8_t finger_Read_flash(uint16_t Adders,uint8_t *Data,uint8_t data_Len);

#include "sm630.c"

#endif /* SM630_H_ */
